#
# spec file for package R-latticeExtra
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global packname  latticeExtra
%global rlibdir   %{_libdir}/R/library
Name:           R-%{packname}
Version:        0.6_28
Release:        1.14.sles11.lc
Summary:        Extra Graphical Utilities Based on Lattice
License:        GPL-2.0+
Group:          Development/Libraries/Other
Url:            http://cran.r-project.org/web/packages/%{packname}
Source0:        http://cran.r-project.org/src/contrib/%{packname}_0.6-28.tar.gz
BuildRequires:  R-RColorBrewer
BuildRequires:  R-base-devel
BuildRequires:  fdupes
BuildRequires:  texinfo
# Package suggestions
#Requires:         R-maps R-mapproj R-deldir R-tripack R-quantreg R-zoo R-MASS R-mgcv
BuildRequires:  texlive
Requires:       R-RColorBrewer
Requires:       R-base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif
# Package suggestions, not required to build
#BuildRequires: R-maps R-mapproj R-deldir R-tripack R-quantreg R-zoo R-MASS R-mgcv

%description
Building on the infrastructure provided by the lattice package, this
package provides several new high-level functions and methods, as well as
additional utilities such as panel and axis annotation functions.


%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/old.svnlog
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/scripts

%changelog
* Thu May 19 2016 darin@darins.net
- update to 0.6.28
* Thu Oct  9 2014 darin@darins.net
- updated source to latest release
* Wed Apr 16 2014 darin@darins.net
- remove R-lattice depends as it's provided by R-base
* Mon May  7 2012 darin@darins.net
- initial package for OpenSuSE
